Bug 1785715 - support for ipv6
Summary: support for ipv6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Etcd
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Sam Batschelet
QA Contact: ge liu
URL:
Whiteboard:
Depends On:
Blocks: 1785718
TreeView+ depends on / blocked
 
Reported: 2019-12-20 18:33 UTC by Alay Patel
Modified: 2020-05-04 11:21 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1785718 (view as bug list)
Environment:
Last Closed: 2020-05-04 11:20:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 1211 0 None closed etcd: Add initial support for an IPv6 control plane 2020-07-30 18:32:55 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:21:35 UTC

Description Alay Patel 2019-12-20 18:33:28 UTC
Description of problem:

Add optional support for etcd to use ipv6.

Comment 1 Stephen Cuppett 2019-12-20 18:34:28 UTC
Setting target to the active development branch (4.4). Clones of this BZ will be created for fixes, if any, which are required to be backported to earlier release maintenance streams.

Comment 2 Kirsten Garrison 2019-12-20 18:39:04 UTC
The fix is already merged in master for 4.4, this BZ was created to backport to 4.3.z.

Comment 3 Kirsten Garrison 2019-12-20 18:41:53 UTC
setting this back to 4.4,trying to sort this out since fix already merged.

Comment 5 ge liu 2020-01-07 06:56:54 UTC
Tried with 4.3.0-0.nightly-2019-12-18-145749-ipv6.1, the pr have been merged into this build, and verified it, but there is not 4.4 installation build support ipv6, so we will verify it after 4.4-ipv6 build ready.

Comment 6 Russell Bryant 2020-01-24 15:27:18 UTC
I have tested this successfully.

Comment 8 errata-xmlrpc 2020-05-04 11:20:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.